LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 05-13-2021, 06:51 AM   #1
scorpion77
Member
 
Registered: Sep 2003
Distribution: Slackware64 current
Posts: 93

Rep: Reputation: 15
VMware Player installation failed


Hi, I'm trying to install VMware Player. I downloaded VMware-Player-16.1.1-17801498.x86_64.bundle and then I tried to install it.
I got this output:

Extracting VMware Installer...done.
Rolling back VMware USB Arbitrator 19.9.0
Deconfiguring...
Uninstalling VMware Installer 3.0.0
Deconfiguring...
[######################################################################] 100%
Installation was unsuccessful.


I post the installation log (/var/log/vmware-installer):
Code:
[2021-05-13 13:44:31,932] 
[2021-05-13 13:44:31,932] 
[2021-05-13 13:44:31,932] Installer running.
[2021-05-13 13:44:31,932] Command Line Arguments:
[2021-05-13 13:44:31,932] ['/tmp/vmis.KaBoz3/install/vmware-installer/vmware-installer.py', '--set-setting', 'vmware-installer', 'libconf', '', '--install-component', '/tmp/vmis.KaBoz3/install/vmware-installer', '--install-bundle', '/downloads/VMware-Player-16.1.1-17801498.x86_64.bundle', '']
[2021-05-13 13:44:31,949] System installer version is: 3.0.0.17801498
[2021-05-13 13:44:31,949] Running installer version is: 3.0.0.17801498
[2021-05-13 13:44:31,949] Opening database file /etc/vmware-installer/database
[2021-05-13 13:44:31,971] Could not locate installer App Control.
[2021-05-13 13:44:32,026] destination /tmp/tmp409nig7n/.installer/16.1.1/include/systemType.py already exists, overwriting.
[2021-05-13 13:44:32,028] destination /tmp/tmp409nig7n/.installer/16.1.1/include/versions.py already exists, overwriting.
[2021-05-13 13:44:32,032] destination /tmp/tmp409nig7n/.installer/16.1.1/include/update.py already exists, overwriting.
[2021-05-13 13:44:32,034] destination /tmp/tmp409nig7n/.installer/16.1.1/include/initscript.py already exists, overwriting.
[2021-05-13 13:44:32,036] destination /tmp/tmp409nig7n/.installer/16.1.1/__init__.py already exists, overwriting.
[2021-05-13 13:44:32,040] destination /tmp/tmp409nig7n/.installer/16.1.1/include/systemType.py already exists, overwriting.
[2021-05-13 13:44:32,043] destination /tmp/tmp409nig7n/.installer/16.1.1/include/initscript.py already exists, overwriting.
[2021-05-13 13:44:32,045] destination /tmp/tmp409nig7n/.installer/16.1.1/include/update.py already exists, overwriting.
[2021-05-13 13:44:32,049] destination /tmp/tmp409nig7n/.installer/16.1.1/include/versions.py already exists, overwriting.
[2021-05-13 13:44:32,051] destination /tmp/tmp409nig7n/.installer/16.1.1/__init__.py already exists, overwriting.
[2021-05-13 13:44:32,076] Kernel release string 5.10.13
[2021-05-13 13:44:32,077] Found Linux kernel version (5, 10, 13)
[2021-05-13 13:44:32,079] Glibc brand string ldd (GNU libc) 2.33
[2021-05-13 13:44:32,079] Found glibc version (2, 33)
[2021-05-13 13:44:32,094] destination /tmp/tmp409nig7n/.installer/16.1.1/include/initscript.py already exists, overwriting.
[2021-05-13 13:44:32,096] destination /tmp/tmp409nig7n/.installer/16.1.1/include/systemType.py already exists, overwriting.
[2021-05-13 13:44:32,098] destination /tmp/tmp409nig7n/.installer/16.1.1/include/versions.py already exists, overwriting.
[2021-05-13 13:44:32,100] destination /tmp/tmp409nig7n/.installer/16.1.1/__init__.py already exists, overwriting.
[2021-05-13 13:44:32,104] destination /tmp/tmp409nig7n/.installer/16.1.1/include/update.py already exists, overwriting.
[2021-05-13 13:44:32,130] destination /tmp/tmp409nig7n/.installer/16.1.1/include/versions.py already exists, overwriting.
[2021-05-13 13:44:32,132] destination /tmp/tmp409nig7n/.installer/16.1.1/include/update.py already exists, overwriting.
[2021-05-13 13:44:32,134] destination /tmp/tmp409nig7n/.installer/16.1.1/__init__.py already exists, overwriting.
[2021-05-13 13:44:32,136] destination /tmp/tmp409nig7n/.installer/16.1.1/include/initscript.py already exists, overwriting.
[2021-05-13 13:44:32,138] destination /tmp/tmp409nig7n/.installer/16.1.1/include/systemType.py already exists, overwriting.
[2021-05-13 13:44:32,142] destination /tmp/tmp409nig7n/.installer/16.1.1/vmware-player.py already exists, overwriting.
[2021-05-13 13:44:32,145] destination /tmp/tmp409nig7n/.installer/16.1.1/include/versions.py already exists, overwriting.
[2021-05-13 13:44:32,147] destination /tmp/tmp409nig7n/.installer/16.1.1/include/update.py already exists, overwriting.
[2021-05-13 13:44:32,149] destination /tmp/tmp409nig7n/.installer/16.1.1/__init__.py already exists, overwriting.
[2021-05-13 13:44:32,150] destination /tmp/tmp409nig7n/.installer/16.1.1/include/initscript.py already exists, overwriting.
[2021-05-13 13:44:32,152] destination /tmp/tmp409nig7n/.installer/16.1.1/include/systemType.py already exists, overwriting.
[2021-05-13 13:44:32,172] b'Not running in a virtual machine.\n'
[2021-05-13 13:44:32,172] b''
[2021-05-13 13:44:32,173] Running on a real machine!
[2021-05-13 13:44:32,178] Cannot use vmware-app-control to shut down open VMs, defaulting to fallback message.
[2021-05-13 13:44:32,179] Ignored execution error: [Errno 2] No such file or directory: '/etc/rc.d/init.d/vmware' when running command: [path('/etc/rc.d/init.d/vmware'), 'stoppable']
[2021-05-13 13:44:32,184] b''
[2021-05-13 13:44:32,184] b''
[2021-05-13 13:44:32,309] This system has KVM enabled. You cannot run VMs with KVM enabled.
[2021-05-13 13:44:37,013] Traceback (most recent call last):

  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/db.py", line 31, in decorator
    return func(*args, **kwargs)

  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/db.py", line 478, in Add
    cur = self._db.execute(statement, (path, mtime, fileType, component))

  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/db.py", line 233, in execute
    return self._db.execute(query, args)

sqlite3.IntegrityError: UNIQUE constraint failed: files.path


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/core/remoteinstaller.py", line 301, in MessageIn
    ret = method(*args, **kwargs)

  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/core/installer.py", line 399, in RegisterFile
    return self.proxyObject.RegisterFile(filename, mtime=mtime, fileType=fileType)

  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/core/localinstallerops.py", line 387, in RegisterFile
    db.files.Add(regfile, mtime, ftype, self._component.uid)

  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/db.py", line 33, in decorator
    raise IntegrityError(str(e))

vmis.core.errors.IntegrityError: UNIQUE constraint failed: files.path

[2021-05-13 13:44:37,013] [vmware-usbarbitrator 19.9.0] Installation failed, rolling back installation.
[2021-05-13 13:44:37,027] b'\x1b[71Gfailed\n'
[2021-05-13 13:44:37,028] b''
[2021-05-13 13:44:37,029] Unable to stop USB Arbitrator service.
[2021-05-13 13:44:37,031] Uninstalled Service: vmware-USBArbitrator
[2021-05-13 13:44:37,035] [vmware-usbarbitrator] /etc/vmware-installer/components/vmware-usbarbitrator/19.9.0/include/__pycache__/initscript.cpython-38.pyc did not exist
[2021-05-13 13:44:37,041] Top level exception handler
Traceback (most recent call last):
  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/core/transaction.py", line 472, in RunThreadedTransaction
    txn.Run()
  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/core/transaction.py", line 78, in Run
    self.get()()
  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/core/common.py", line 141, in Show
    wrap(i.PostInstall, txn.opts['ignoreErrors'])
  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/util/__init__.py", line 26, in wrap
    func(*args, **kwargs)
  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/core/install.py", line 346, in PostInstall
    self._installer.PostInstall(**self.args)
  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/core/remoteinstaller.py", line 161, in PostInstall
    return self.MessageOut(self.whoami(), old, new, upgrade)
  File "/tmp/vmis.KaBoz3/install/vmware-installer/vmis/core/remoteinstaller.py", line 433, in MessageOut
    raise execType(excepValue)
vmis.core.errors.IntegrityError: VMIS:UNIQUE constraint failed: files.path
[2021-05-13 13:44:37,054] destination /tmp/tmp409nig7n/.installer/16.1.1/vmware-player.py already exists, overwriting.
[2021-05-13 13:44:37,057] destination /tmp/tmp409nig7n/.installer/16.1.1/include/versions.py already exists, overwriting.
[2021-05-13 13:44:37,058] destination /tmp/tmp409nig7n/.installer/16.1.1/include/update.py already exists, overwriting.
[2021-05-13 13:44:37,060] destination /tmp/tmp409nig7n/.installer/16.1.1/__init__.py already exists, overwriting.
[2021-05-13 13:44:37,062] destination /tmp/tmp409nig7n/.installer/16.1.1/include/initscript.py already exists, overwriting.
[2021-05-13 13:44:37,064] destination /tmp/tmp409nig7n/.installer/16.1.1/include/systemType.py already exists, overwriting.
Also /var/log/vmware/vmware-usbarb-11826.log:

Code:
2021-05-13T13:44:37.024+02:00| usbArb| I005: Log for VMware USB Arbitration Service pid=11826 version=16.1.0 build=build-17490195 option=Release
2021-05-13T13:44:37.024+02:00| usbArb| I005: The host is 64-bit.
2021-05-13T13:44:37.024+02:00| usbArb| I005: Host codepage=UTF-8 encoding=UTF-8
2021-05-13T13:44:37.024+02:00| usbArb| I005: Host is Linux 5.10.13 Slackware 14.2 x86_64 (post 14.2 -current) Slackware 14.2
2021-05-13T13:44:37.024+02:00| usbArb| I005: VTHREAD 139657852748672 "usbArb" tid 11826
2021-05-13T13:44:37.024+02:00| usbArb| I005: DictionaryLoad: Cannot open file "/etc/vmware/config": No such file or directory.
2021-05-13T13:44:37.024+02:00| usbArb| I005: [msg.dictionary.load.openFailed] Cannot open file "/etc/vmware/config": No such file or directory.
2021-05-13T13:44:37.024+02:00| usbArb| I005: PREF Optional preferences file not found at /etc/vmware/config. Using default values.
2021-05-13T13:44:37.024+02:00| usbArb| I005: DictionaryLoad: Cannot open file "/usr/lib/vmware/settings": No such file or directory.
2021-05-13T13:44:37.024+02:00| usbArb| I005: [msg.dictionary.load.openFailed] Cannot open file "/usr/lib/vmware/settings": No such file or directory.
2021-05-13T13:44:37.024+02:00| usbArb| I005: PREF Optional preferences file not found at /usr/lib/vmware/settings. Using default values.
2021-05-13T13:44:37.024+02:00| usbArb| I005: DictionaryLoad: Cannot open file "/usr/lib/vmware/config": No such file or directory.
2021-05-13T13:44:37.024+02:00| usbArb| I005: [msg.dictionary.load.openFailed] Cannot open file "/usr/lib/vmware/config": No such file or directory.
2021-05-13T13:44:37.024+02:00| usbArb| I005: PREF Optional preferences file not found at /usr/lib/vmware/config. Using default values.
2021-05-13T13:44:37.026+02:00| usbArb| I005: DICT --- GLOBAL SETTINGS /usr/lib/vmware/settings
2021-05-13T13:44:37.026+02:00| usbArb| I005: DICT --- NON PERSISTENT (null)
2021-05-13T13:44:37.026+02:00| usbArb| I005: DICT --- HOST DEFAULTS /etc/vmware/config
2021-05-13T13:44:37.026+02:00| usbArb| I005: DICT --- SITE DEFAULTS /usr/lib/vmware/config
2021-05-13T13:44:37.027+02:00| usbArb| I005: VMware USB Arbitration Service Version 19.9.0
2021-05-13T13:44:37.027+02:00| usbArb| I005: USBArb: Attempting to connect to existing arbitrator on /var/run/vmware/usbarbitrator-socket.
2021-05-13T13:44:37.027+02:00| usbArb| I005: SOCKET creating new socket, connecting to /var/run/vmware/usbarbitrator-socket
2021-05-13T13:44:37.027+02:00| usbArb| I005: SOCKET connect failed, error 2: No such file or directory
2021-05-13T13:44:37.027+02:00| usbArb| I005: USBArb: No other USB arbitrator instance is currently running.
2021-05-13T13:44:37.027+02:00| usbArb| W003: USBArb: usb-arbitrator exit with error: 1
How could I solve?

Thanks in advance.
 
Old 05-13-2021, 06:15 PM   #2
santaslilslacker
Member
 
Registered: Nov 2007
Distribution: Slackware64_current
Posts: 40

Rep: Reputation: 24
Hi, this should help:
VMware-Player-16.1.1-17801498.x86_64.bundle --console -I
 
1 members found this post helpful.
Old 05-14-2021, 04:41 AM   #3
scorpion77
Member
 
Registered: Sep 2003
Distribution: Slackware64 current
Posts: 93

Original Poster
Rep: Reputation: 15
Quote:
Originally Posted by santaslilslacker View Post
Hi, this should help:
VMware-Player-16.1.1-17801498.x86_64.bundle --console -I
It works! Thank you very much!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
VMware Player 14.1.2: VMware tools cannot be installed in Windows client. narke Slackware 2 07-03-2018 06:20 PM
[SOLVED] VMware is running extremely slow and very unresponsive on FC 23 with VMware Player 12 cyberdome Linux - Software 2 02-21-2016 06:16 PM
block file system failed vmware when /etc/init.d/vmware start gbcbooks Linux - Software 1 10-19-2014 05:58 AM
[SOLVED] How to uninstall VMware player so that VMware workstation can be installed javascriptninja Linux - Software 1 02-06-2012 11:24 AM
LXer: VMware Delivers VMware Player LXer Syndicated Linux News 0 12-13-2005 10:01 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 08:35 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration